package org.jeecg.modules.cityAddr.service;

import org.jeecg.modules.cityAddr.entity.CityAddr;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.exception.JeecgBootException;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import java.util.List;

/**
 * @Description: 服务区域
 * @Author: jeecg-boot
 * @Date:   2024-10-14
 * @Version: V1.0
 */
public interface ICityAddrService extends IService<CityAddr> {

	/**根节点父ID的值*/
	public static final String ROOT_PID_VALUE = "0";
	
	/**树节点有子节点状态值*/
	public static final String HASCHILD = "1";
	
	/**树节点无子节点状态值*/
	public static final String NOCHILD = "0";

	/**新增节点*/
	void addCityAddr(CityAddr cityAddr);
	
	/**修改节点*/
	void updateCityAddr(CityAddr cityAddr) throws JeecgBootException;
	
	/**删除节点*/
	void deleteCityAddr(String id) throws JeecgBootException;

	/**查询所有数据，无分页*/
    List<CityAddr> queryTreeListNoPage(QueryWrapper<CityAddr> queryWrapper);

}
