package org.jeecg.modules.cityTrends.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 动态信息表
 * @Author: jeecg-boot
 * @Date:   2024-10-14
 * @Version: V1.0
 */
@Data
@TableName("city_trends")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="city_trends对象", description="动态信息表")
public class CityTrends implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**图片*/
	@Excel(name = "图片", width = 15)
    @ApiModelProperty(value = "图片")
    private java.lang.String image;
	/**发布人*/
	@Excel(name = "发布人", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "发布人")
    private java.lang.String userId;
	/**发布昵称*/
	@Excel(name = "发布昵称", width = 15)
    @ApiModelProperty(value = "发布昵称")
    private java.lang.String userName;
	/**发布人头像*/
	@Excel(name = "发布人头像", width = 15)
    @ApiModelProperty(value = "发布人头像")
    private java.lang.String userImage;
	/**审核状态*/
	@Excel(name = "审核状态", width = 15)
    @ApiModelProperty(value = "审核状态")
    private java.lang.Integer isState;
	/**置顶*/
	@Excel(name = "置顶", width = 15)
    @ApiModelProperty(value = "置顶")
    private java.lang.String isTop;
	/**分类*/
	@Excel(name = "分类", width = 15, dictTable = "citiy_class", dicText = "title", dicCode = "id")
	@Dict(dictTable = "citiy_class", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "分类")
    private java.lang.String classId;
	/**标题*/
	@Excel(name = "标题", width = 15)
    @ApiModelProperty(value = "标题")
    private java.lang.String title;
}
