package org.jeecg.modules.owProduct.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: ow_product
 * @Author: jeecg-boot
 * @Date:   2024-10-11
 * @Version: V1.0
 */
@Data
@TableName("ow_product")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="ow_product对象", description="ow_product")
public class OwProduct implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**产品图片地址*/
	@Excel(name = "产品图片地址", width = 15)
    @ApiModelProperty(value = "产品图片地址")
    private java.lang.String productImageAddress;
	/**产品图片坐标*/
	@Excel(name = "产品图片坐标", width = 15)
    @ApiModelProperty(value = "产品图片坐标")
    private java.lang.String productImagePosition;
	/**产品标题*/
	@Excel(name = "产品标题", width = 15)
    @ApiModelProperty(value = "产品标题")
    private java.lang.String productTitle;
	/**产品短标题*/
	@Excel(name = "产品短标题", width = 15)
    @ApiModelProperty(value = "产品短标题")
    private java.lang.String productShortTitle;
	/**产品描述*/
	@Excel(name = "产品描述", width = 15)
    @ApiModelProperty(value = "产品描述")
    private java.lang.String productDescribe;
	/**产品所属分类*/
	@Excel(name = "产品所属分类", width = 15)
    @ApiModelProperty(value = "产品所属分类")
    private java.lang.String classificationId;
	/**是否为热门产品*/
	@Excel(name = "是否为热门产品", width = 15)
    @ApiModelProperty(value = "是否为热门产品")
    private java.lang.String isHot;
	/**产品慕课地址*/
	@Excel(name = "产品慕课地址", width = 15)
    @ApiModelProperty(value = "产品慕课地址")
    private java.lang.String productAddressMc;
	/**产品网站地址*/
	@Excel(name = "产品网站地址", width = 15)
    @ApiModelProperty(value = "产品网站地址")
    private java.lang.String productAddressNet;
}
