import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '角色信息 1供应商 2采购商',
    align:"center",
    dataIndex: 'role_dictText'
   },
   {
    title: '用户名',
    align:"center",
    dataIndex: 'userName'
   },
   {
    title: '公司名称',
    align:"center",
    dataIndex: 'companyName'
   },
   {
    title: '税收编码',
    align:"center",
    dataIndex: 'taxCode'
   },
   {
    title: '公司地址',
    align:"center",
    dataIndex: 'address'
   },
   {
    title: '公司账号',
    align:"center",
    dataIndex: 'bankAccount'
   },
   {
    title: '电话',
    align:"center",
    dataIndex: 'phone'
   },
   {
    title: '开户行',
    align:"center",
    dataIndex: 'bankNama'
   },
   {
    title: '营业执照上传',
    align:"center",
    dataIndex: 'businessLicense',
    customRender:render.renderAvatar,
   },
   {
    title: '基本户信息照片上传',
    align:"center",
    dataIndex: 'basicAccount',
    customRender:render.renderAvatar,
   },
   {
    title: '收款银行照片上传',
    align:"center",
    dataIndex: 'bankInfo',
    customRender:render.renderAvatar,
   },
   {
    title: '审核状态 0审核中 1 审核通过 2审核未通过',
    align:"center",
    dataIndex: 'auditStatus_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
	{
      label: "角色信息 1供应商 2采购商",
      field: "role",
      component: 'JDictSelectTag',
      componentProps:{
          dictCode:"user_role"
      },
      colProps: {span: 6},
 	},
	{
      label: "用户名",
      field: "userName",
      component: 'Input',
      colProps: {span: 6},
 	},
	{
      label: "公司名称",
      field: "companyName",
      component: 'Input',
      colProps: {span: 6},
 	},
	{
      label: "电话",
      field: "phone",
      component: 'Input',
      colProps: {span: 6},
 	},
	{
      label: "审核状态 0审核中 1 审核通过 2审核未通过",
      field: "auditStatus",
      component: 'JDictSelectTag',
      componentProps:{
          dictCode:"audit_status"
      },
      colProps: {span: 6},
 	},
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '角色信息 1供应商 2采购商',
    field: 'role',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"user_role"
     },
  },
  {
    label: '用户名',
    field: 'userName',
    component: 'Input',
  },
  {
    label: '公司名称',
    field: 'companyName',
    component: 'Input',
  },
  {
    label: '税收编码',
    field: 'taxCode',
    component: 'Input',
  },
  {
    label: '公司地址',
    field: 'address',
    component: 'Input',
  },
  {
    label: '公司账号',
    field: 'bankAccount',
    component: 'Input',
  },
  {
    label: '电话',
    field: 'phone',
    component: 'Input',
  },
  {
    label: '开户行',
    field: 'bankNama',
    component: 'Input',
  },
  {
    label: '营业执照上传',
    field: 'businessLicense',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '基本户信息照片上传',
    field: 'basicAccount',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '收款银行照片上传',
    field: 'bankInfo',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '审核状态 0审核中 1 审核通过 2审核未通过',
    field: 'auditStatus',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"audit_status"
     },
  },
];
